import { Compiler, ComponentFactory, ViewContainerRef } from '@angular/core';
import { SdkConfigService } from '.';
import { Subject } from 'rxjs';
export declare class CompilerService {
    private compiler;
    private sdkConfigService;
    private dynamicComponentSelector;
    /**
     * Constructor.
     */
    constructor(compiler: Compiler, sdkConfigService: SdkConfigService);
    /**
     * Create dynamic component factory asynchronously with html template given in parameter
     */
    createComponentFactoryAsync(tmpl: string, componentCallback: Function): Promise<ComponentFactory<any>>;
    /**
     * Create dynamic component factory with html template given in parameter
     */
    createComponentFactorySync(tmpl: string, componentCallback: Function): ComponentFactory<any>;
    /**
     * Call createComponentFactoryAsync with given html template and inject the result in given viewContainer
     */
    injectCommentComponentAsync(tmpl: string, viewContainer: ViewContainerRef): Subject<any>;
    /**
     * Call createComponentFactorySync with given html template and inject the result in given viewContainer
     */
    injectCommentComponentSync(tmpl: string, viewContainer: ViewContainerRef): any;
    /**
     * Create comment component with given html template
     */
    private _createCommentComponent;
    /**
     * Create dynamic module with dynamic component given in parameter
     */
    private _createComponentModule;
}
