import { DatablockView } from '@nodata/sdk';
export declare type PinDatablockViewCallback = (datablockView: DatablockView) => void;
export declare class SdkConfigService {
    globalDataEmptyMessage: string;
    globalDataEmptyHtml: string;
    globalLoaderHTML: string;
    globalDisplayChartWhenDataEmpty: boolean;
    globalDisplayChartWhenLoading: boolean;
    sharedModule: any;
    commentsThemesMapping: Object;
    commentsListTemplate: string;
    pinDatablockView: PinDatablockViewCallback;
    setGlobalDataEmptyMessage(message: string): void;
    setGlobalDataEmptyHtml(html: string): void;
    setGlobalLoaderHTML(html: string): void;
    setGlobalDisplayChartWhenDataEmpty(isDisplay: boolean): void;
    setGlobalDisplayChartWhenLoading(isDisplay: boolean): void;
    setSharedModule(module: any): void;
    setCommentsListTemplate(template: string): void;
    /**
     *    Quick workaround for Renault Qualif 7/11/17
     *    Gives the mapping between presetfilters columns and comments themes
     *    ex: idStruc => region
     */
    setCommentThemesMapping(mapping: Object): void;
    /**
     * Enable or disable pinnable datablockviews
     */
    setPinDatablockViewCallback(callback: PinDatablockViewCallback): void;
}
